DELETE /discord/guilds/{guildId}/members/{userId}/roles/{roleId}

Remove a role from a member (idempotent)

DELETE
/discord/guilds/{guildId}/members/{userId}/roles/{roleId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

guildId*string

Discord server (guild) id

userId*string

User id

roleId*string

Role id

Query Parameters

accountId*string

Discord account id bound to this server (or the channel's server)

Response Body

Done

application/json
  1. response
success?boolean
operation?"role_removed"
Value in"role_removed"
guildId?string
userId?string
roleId?string
Example Request
curl -X DELETE 'https://example.com/api/v1/discord/guilds/string/members/string/roles/string?accountId=string'
Example Response
{  "success": true,  "operation": "role_removed",  "guildId": "string",  "userId": "string",  "roleId": "string"}